using Microsoft.Xna.Framework;

namespace Kav.Data
{
    public struct MeshSpriteDrawData
    {
        public MeshSprite MeshSprite { get; }
        public SpriteBillboardConstraint BillboardConstraint { get; }
        public Matrix TransformMatrix { get; }
        public UVData UVOffset { get; }

        public MeshSpriteDrawData(
            MeshSprite meshSprite,
            SpriteBillboardConstraint billboardConstraint,
            Matrix transformMatrix,
            UVData offset
        ) {
            MeshSprite = meshSprite;
            BillboardConstraint = billboardConstraint;
            TransformMatrix = transformMatrix;
            UVOffset = offset;
        }
    }
}
